EBookViewListener
3
LIBEBOOK Library

# EBookViewListener

Listens for call responses and event notifications from EBookView objects.

## Synopsis

                        EBookViewListener;
                        EBookViewListenerResponse;
    enum                EBookViewListenerOperation;
    EBookViewListener*  e_book_view_listener_new            (void);
    void                e_book_view_listener_start          (EBookViewListener *listener);
    void                e_book_view_listener_stop           (EBookViewListener *listener);

## Object Hierarchy

      GObject
       +----BonoboObject
             +----EBookViewListener

## Signals

      "response"                                       : Run Last

## Description

Exposes the Evolution:BookViewListener interface. Contrast with the EBookListener.

## Details

### EBookViewListener

    typedef struct _EBookViewListener EBookViewListener;

### EBookViewListenerResponse

    typedef struct {
    	EBookViewListenerOperation  op;

    	/* For SequenceComplete */
    	EBookViewStatus             status;

    	/* For ContactsRemovedEvent */
    	GList                  *ids;

    	/* For Contact[sAdded|Modified]Event */
    	GList                  *contacts; /* Of type EContact. */

    	/* For StatusMessageEvent */
    	char                   *message;
    } EBookViewListenerResponse;

Data sent back to the e-book object.

### enum EBookViewListenerOperation

    typedef enum {
    	/* Async events */
    	ContactsAddedEvent,
    	ContactsRemovedEvent,
    	ContactsModifiedEvent,
    	SequenceCompleteEvent,
    	StatusMessageEvent,
    } EBookViewListenerOperation;

Asynchronous events that are listened for.

### e_book_view_listener_new ()

    EBookViewListener*  e_book_view_listener_new            (void);

Returns :

### e_book_view_listener_start ()

    void                e_book_view_listener_start          (EBookViewListener *listener);

`listener` :

### e_book_view_listener_stop ()

    void                e_book_view_listener_stop           (EBookViewListener *listener);

`listener` :

## Signal Details

### The `"response"` signal

    void                user_function                      (EBookViewListener *ebookviewlistener,
                                                            gpointer           arg1,
                                                            gpointer           user_data)              : Run Last

`ebookviewlistener` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.

## See Also

EBookListener EBookTypes